## r-bioc-iranges 2.22.2

=== DESCRIPTION ===
Package: IRanges
Title: Foundation of integer range manipulation in Bioconductor
Description: Provides efficient low-level and highly reusable S4
	classes for storing, manipulating and aggregating over annotated
	ranges of integers. Implements an algebra of range operations,
	including efficient algorithms for finding overlaps and nearest
	neighbors. Defines efficient list-like classes for storing,
	transforming and aggregating large grouped data, i.e., collections
	of atomic vectors and DataFrames.
Version: 2.22.2
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.25.3),
        S4Vectors (>= 0.25.14)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
        GenomicFeatures, BSgenome.Celegans.UCSC.ce2, pasillaBamSubset,
        RUnit, BiocStyle
License: Artistic-2.0
Collate: range-squeezers.R Vector-class-leftovers.R
        List-class-leftovers.R DataFrame-utils.R DataFrameList-class.R
        DataFrameList-utils.R AtomicList-class.R AtomicList-utils.R
        Ranges-and-RangesList-classes.R IPosRanges-class.R
        IPosRanges-comparison.R IntegerRangesList-class.R
        IRanges-class.R IRanges-constructor.R IRanges-utils.R
        Rle-class-leftovers.R IPos-class.R subsetting-utils.R
        Grouping-class.R Views-class.R RleViews-class.R
        RleViews-utils.R extractList.R seqapply.R multisplit.R
        SimpleGrouping-class.R IRangesList-class.R IPosList-class.R
        ViewsList-class.R RleViewsList-class.R RleViewsList-utils.R
        RangedSelection-class.R MaskCollection-class.R read.Mask.R
        CompressedList-class.R CompressedList-comparison.R
        CompressedHitsList-class.R CompressedDataFrameList-class.R
        CompressedAtomicList-class.R CompressedGrouping-class.R
        CompressedRangesList-class.R RangedData-class.R
        Hits-class-leftovers.R NCList-class.R findOverlaps-methods.R
        windows-methods.R intra-range-methods.R inter-range-methods.R
        reverse-methods.R coverage-methods.R cvg-methods.R
        slice-methods.R setops-methods.R nearest-methods.R
        cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
git_url: https://git.bioconductor.org/packages/IRanges
git_branch: RELEASE_3_11
git_last_commit: 8c5e991
git_last_commit_date: 2020-05-20
Date/Publication: 2020-05-21
NeedsCompilation: yes
Packaged: 2020-05-21 23:32:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.22.2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:24:11 +0000

r-bioc-iranges (2.22.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 May 2020 06:39:55 +0200

r-bioc-iranges (2.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove tabs from debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 17 May 2020 19:12:38 +0000

=== debian/control ===
Source: r-bioc-iranges
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.25.3),
               r-bioc-s4vectors (>= 0.25.14)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
Homepage: https://bioconductor.org/packages/IRanges/
Rules-Requires-Root: no

Package: r-bioc-iranges
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R low-level containers for storing sets of integer ranges
 The IRanges class and its extensions are low-level containers for
 storing sets of integer ranges. A typical use of these containers in
 biology is for representing a set of chromosome regions. More specific
 extensions of the IRanges class will typically allow the storage of
 additional information attached to each chromosome region as well as a
 hierarchical relationship between these regions.

## r-bioc-iranges 2.24.1

=== DESCRIPTION ===
Package: IRanges
Title: Foundation of integer range manipulation in Bioconductor
Description: Provides efficient low-level and highly reusable S4
	classes for storing, manipulating and aggregating over annotated
	ranges of integers. Implements an algebra of range operations,
	including efficient algorithms for finding overlaps and nearest
	neighbors. Defines efficient list-like classes for storing,
	transforming and aggregating large grouped data, i.e., collections
	of atomic vectors and DataFrames.
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/IRanges
BugReports: https://github.com/Bioconductor/IRanges/issues
Version: 2.24.1
License: Artistic-2.0
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.36.0),
        S4Vectors (>= 0.27.12)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
        GenomicFeatures, BSgenome.Celegans.UCSC.ce2, pasillaBamSubset,
        RUnit, BiocStyle
Collate: range-squeezers.R Vector-class-leftovers.R
        DataFrameList-class.R DataFrameList-utils.R AtomicList-class.R
        AtomicList-utils.R Ranges-and-RangesList-classes.R
        IPosRanges-class.R IPosRanges-comparison.R
        IntegerRangesList-class.R IRanges-class.R IRanges-constructor.R
        IRanges-utils.R Rle-class-leftovers.R IPos-class.R
        subsetting-utils.R Grouping-class.R Views-class.R
        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
        multisplit.R SimpleGrouping-class.R IRangesList-class.R
        IPosList-class.R ViewsList-class.R RleViewsList-class.R
        RleViewsList-utils.R RangedSelection-class.R
        MaskCollection-class.R read.Mask.R CompressedList-class.R
        CompressedList-comparison.R CompressedHitsList-class.R
        CompressedDataFrameList-class.R CompressedAtomicList-class.R
        CompressedGrouping-class.R CompressedRangesList-class.R
        Hits-class-leftovers.R NCList-class.R findOverlaps-methods.R
        windows-methods.R intra-range-methods.R inter-range-methods.R
        reverse-methods.R coverage-methods.R cvg-methods.R
        slice-methods.R setops-methods.R nearest-methods.R
        cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
git_url: https://git.bioconductor.org/packages/IRanges
git_branch: RELEASE_3_12
git_last_commit: 6c61fdd
git_last_commit_date: 2020-12-11
Date/Publication: 2020-12-12
NeedsCompilation: yes
Packaged: 2020-12-13 01:12:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.24.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 22:11:54 +0100

r-bioc-iranges (2.24.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 11:25:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.25.14)
-Standards-Version: 4.5.0
+               r-bioc-biocgenerics (>= 0.36.0),
+               r-bioc-s4vectors (>= 0.27.12)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/

## r-bioc-iranges 2.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -10,13 +10,13 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.24.1
+Version: 2.28.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
-Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.36.0),
-        S4Vectors (>= 0.27.12)
+Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.39.2),
+        S4Vectors (>= 0.29.19)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -43,9 +43,9 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_12
-git_last_commit: 6c61fdd
-git_last_commit_date: 2020-12-11
-Date/Publication: 2020-12-12
+git_branch: RELEASE_3_14
+git_last_commit: d85ee90
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-12-13 01:12:08 UTC; biocbuild
+Packaged: 2021-10-26 21:44:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.28.0
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:57:00 +0530

r-bioc-iranges (2.26.0-2) UNRELEASED; urgency=medium

  * d/u/metadata: Added refs to conda and bio.tools

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Sep 2021 13:28:03 +0200

r-bioc-iranges (2.26.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Provide autopkgtest-pkg-r.conf to make sure runit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 12:57:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.36.0),
-               r-bioc-s4vectors (>= 0.27.12)
-Standards-Version: 4.5.1
+               r-bioc-biocgenerics (>= 0.39.2),
+               r-bioc-s4vectors (>= 0.29.19)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/IRanges.html .*/IRanges_([\d\.]+)\.tar\.gz

## r-bioc-iranges 2.30.1

=== DESCRIPTION ===
--- 
+++ 
@@ -10,13 +10,13 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.28.0
+Version: 2.30.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.39.2),
-        S4Vectors (>= 0.29.19)
+        S4Vectors (>= 0.33.3)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -43,9 +43,9 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_14
-git_last_commit: d85ee90
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: ead506a
+git_last_commit_date: 2022-08-17
+Date/Publication: 2022-08-18
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:44:43 UTC; biocbuild
+Packaged: 2022-08-18 20:52:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.30.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:09:41 +0200

r-bioc-iranges (2.30.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 13:43:04 +0200

## r-bioc-iranges 2.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -10,11 +10,14 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.30.1
+Version: 2.32.0
 License: Artistic-2.0
 Encoding: UTF-8
-Author: H. Pagès, P. Aboyoun and M. Lawrence
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
+Authors@R: c(
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Patrick", "Aboyoun", role="aut"),
+	person("Michael", "Lawrence", role="aut"))
 Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.39.2),
         S4Vectors (>= 0.33.3)
 Imports: stats4
@@ -43,9 +46,13 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_15
-git_last_commit: ead506a
-git_last_commit_date: 2022-08-17
-Date/Publication: 2022-08-18
+git_branch: RELEASE_3_16
+git_last_commit: 2b5c9fc
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-08-18 20:52:26 UTC; biocbuild
+Packaged: 2022-11-01 21:51:46 UTC; biocbuild
+Author: Hervé Pagès [aut, cre],
+  Patrick Aboyoun [aut],
+  Michael Lawrence [aut]
+Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-iranges (2.32.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:14:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-bioc-iranges
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
+Homepage: https://bioconductor.org/packages/IRanges/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.39.2),
-               r-bioc-s4vectors (>= 0.29.19)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
-Homepage: https://bioconductor.org/packages/IRanges/
-Rules-Requires-Root: no
+               r-bioc-s4vectors (>= 0.33.3)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-iranges
 Architecture: any

## r-bioc-iranges 2.34.1

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.32.0
+Version: 2.34.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -46,12 +46,12 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_16
-git_last_commit: 2b5c9fc
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: ce72113
+git_last_commit_date: 2023-06-21
+Date/Publication: 2023-06-22
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:51:46 UTC; biocbuild
+Packaged: 2023-06-22 21:07:25 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Michael Lawrence [aut]

=== debian/changelog ===
r-bioc-iranges (2.34.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jul 2023 00:40:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-iranges 2.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.34.1
+Version: 2.36.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -46,12 +46,12 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_17
-git_last_commit: ce72113
-git_last_commit_date: 2023-06-21
-Date/Publication: 2023-06-22
+git_branch: RELEASE_3_18
+git_last_commit: 1dabee3
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-06-22 21:07:25 UTC; biocbuild
+Packaged: 2023-10-24 21:40:41 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Michael Lawrence [aut]

=== debian/changelog ===
r-bioc-iranges (2.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Nov 2023 23:58:48 +0000

## r-bioc-iranges 2.38.1

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.36.0
+Version: 2.38.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -46,12 +46,13 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_18
-git_last_commit: 1dabee3
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: d4d8da9
+git_last_commit_date: 2024-07-03
+Repository: Bioconductor 3.19
+Date/Publication: 2024-07-03
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:40:41 UTC; biocbuild
+Packaged: 2024-07-03 22:38:04 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Michael Lawrence [aut]

=== debian/changelog ===
r-bioc-iranges (2.38.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:31:10 +0200

r-bioc-iranges (2.38.1-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:04:54 +0200

r-bioc-iranges (2.38.1-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version. Closes: #1070841
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,28 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.39.2),
-               r-bioc-s4vectors (>= 0.33.3)
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-iranges
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-xvector (>= 0.44.0),
+          r-bioc-genomicranges (>= 1.56.1),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-genomicalignments (>= 1.40.0),
+          r-bioc-genomicfeatures (>= 1.56.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

## r-bioc-iranges 2.40.1

=== DESCRIPTION ===
--- 
+++ 
@@ -10,7 +10,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/IRanges
 BugReports: https://github.com/Bioconductor/IRanges/issues
-Version: 2.38.1
+Version: 2.40.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -19,7 +19,7 @@
 	person("Patrick", "Aboyoun", role="aut"),
 	person("Michael", "Lawrence", role="aut"))
 Depends: R (>= 4.0.0), methods, utils, stats, BiocGenerics (>= 0.39.2),
-        S4Vectors (>= 0.33.3)
+        S4Vectors (>= 0.43.2)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -46,13 +46,13 @@
         slice-methods.R setops-methods.R nearest-methods.R
         cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_19
-git_last_commit: d4d8da9
-git_last_commit_date: 2024-07-03
-Repository: Bioconductor 3.19
-Date/Publication: 2024-07-03
+git_branch: RELEASE_3_20
+git_last_commit: 535f07e
+git_last_commit_date: 2024-12-02
+Repository: Bioconductor 3.20
+Date/Publication: 2024-12-05
 NeedsCompilation: yes
-Packaged: 2024-07-03 22:38:04 UTC; biocbuild
+Packaged: 2024-12-05 22:48:10 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Patrick Aboyoun [aut],
   Michael Lawrence [aut]

=== debian/changelog ===
r-bioc-iranges (2.40.1-3) unstable; urgency=medium

  * Team upload.
  * Backport commits from Bioc 3.21 to avoid crashes on mean etc of empty
    views with R 4.5.  Thanks: Rebecca N. Palmer

 -- Charles Plessy <plessy@debian.org>  Wed, 23 Apr 2025 22:28:12 +0900

r-bioc-iranges (2.40.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:42:38 +0100

r-bioc-iranges (2.40.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Dec 2024 12:13:21 -0800

r-bioc-iranges (2.40.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:38:27 +0100

=== debian/control ===
Source: r-bioc-iranges
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
Homepage: https://bioconductor.org/packages/IRanges/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.39.2),
               r-bioc-s4vectors (>= 0.43.2),
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-iranges
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R low-level containers for storing sets of integer ranges
 The IRanges class and its extensions are low-level containers for
 storing sets of integer ranges. A typical use of these containers in
 biology is for representing a set of chromosome regions. More specific
 extensions of the IRanges class will typically allow the storage of
 additional information attached to each chromosome region as well as a
 hierarchical relationship between these regions.
